List sent recommendations
curl --request GET \
--url https://api.endaoment.org/v1/recommendations/by-me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.endaoment.org/v1/recommendations/by-me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.endaoment.org/v1/recommendations/by-me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collaboratorFund": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Doe Family Foundation",
"type": "Private",
"manager": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
},
"chainId": 1,
"advisor": {
"firstName": "John",
"lastName": "Doe"
},
"featuredIndex": 1,
"usdcBalance": "20500000",
"availableBalance": "21000000",
"description": "A family foundation dedicated to supporting educational initiatives",
"createdAtUtc": "2024-01-01T00:00:00Z",
"updatedAtUtc": "2024-03-14T12:00:00Z",
"lifetimeDonationsUsdc": "1000000000",
"inboundFeeBps": 25,
"outboundFeeBps": 50,
"grantsGiven": 10,
"inTransitBuyUsdcAmount": "5000000",
"inTransitSellUsdcAmount": "3000000",
"investedUsdc": "50000000",
"totalGrantedUsdc": "25000000",
"processingTransfersTotalUsdc": "1000000",
"illiquidBalance": "10000000",
"deploymentTransactionHash": "0xf89f7da1e5d79dcb1b8863d0926fe41204785b443ce2d1dca4bf50070c492567",
"contractAddress": "0x1234567890123456789012345678901234567890",
"lastBalanceSyncUtc": "2024-03-14T12:00:00Z",
"shortDescription": "Supporting education",
"vanityUrl": "doe-family-foundation",
"paypalId": "123e4567-e89b-12d3-a456-426614174000",
"logo": "https://example.com/logo.png",
"staffNotes": "<string>",
"category": "Education",
"customFeeDetail": "Special Community Fund Agreement"
},
"collaborator": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"collaboratorUserId": "123e4567-e89b-12d3-a456-426614174000",
"fundId": "123e4567-e89b-12d3-a456-426614174000",
"createdAtUtc": "2026-02-11T14:32:10.123Z",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
},
"createdAt": "2023-11-07T05:31:56Z",
"type": "grant"
}
]Collaboration
List sent recommendations
Retrieves all recommendations created by the currently authenticated user.
GET
/
v1
/
recommendations
/
by-me
List sent recommendations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
List of recommendations created by the user successfully retrieved
The unique identifier of the recommendation
The target fund of the recommendation
Show child attributes
Show child attributes
The collaborator who created the recommendation
Show child attributes
Show child attributes
The date the recommendation was created
Status of the recommendation
Available options:
Executed, Pending, Dismissed Type of the recommended activity
Example:
"grant"
Was this page helpful?
⌘I